Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1695212 - Rebuild python-rope with python2 support
Summary: Rebuild python-rope with python2 support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-rope
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 16:30 UTC by Tuomo Soini
Modified: 2020-01-30 23:43 UTC (History)
3 users (show)

Fixed In Version: python-rope-0.16.0-1.fc31 python-rope-0.16.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-30 23:43:11 UTC
Type: Bug


Attachments (Terms of Use)
Proposed patch (1.68 KB, patch)
2019-04-02 16:30 UTC, Tuomo Soini
no flags Details | Diff

Description Tuomo Soini 2019-04-02 16:30:59 UTC
Created attachment 1551080 [details]
Proposed patch

python2 support was removed from latest versions of python-rope. Unfortunately there is spyder-2.3.7-4.el7.noarch in epel7 which still requires python-rope.

Attached patch restores support for python2 sub-package.

Comment 1 Mukundan Ragavan 2019-04-03 02:35:44 UTC
Yup. Can do this.

Comment 2 Mukundan Ragavan 2019-04-22 20:29:23 UTC
Since we are getting rid of python from Fedora, I am thinking I will update spyder to 3.x on EPEL-7.

This will take me some time to do though ...

Comment 3 Fedora Update System 2020-01-12 01:42:11 UTC
python-rope-0.16.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f958601821

Comment 4 Fedora Update System 2020-01-12 01:43:01 UTC
python-rope-0.16.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Tuomo Soini 2020-01-13 08:03:23 UTC
Well. This update does not add python2 support and spyder is still broken on epel7 because of missing python2-rope.

Comment 6 Matěj Cepl 2020-01-13 08:45:11 UTC
Right. Patches welcome. I am really not interested in necromancy, especially with horrible build system Fedora has (I am now mostly around *SUSE and there it would be one line in SPEC file, or removing of it).

Comment 7 Matěj Cepl 2020-01-13 08:46:06 UTC
(In reply to Matěj Cepl from comment #6)
> Right. Patches welcome. I am really not interested in necromancy, especially
> with horrible build system Fedora has (I am now mostly around *SUSE and
> there it would be one line in SPEC file, or removing of it).

Whoops! Sorry, there IS an patch here. Will apply momentarily.

Comment 8 Tuomo Soini 2020-01-13 08:58:12 UTC
Note: new version of rope broke tests on python2 so all tests must be disabled in %check.

Comment 9 Matěj Cepl 2020-01-13 12:22:23 UTC
Sorry, I am really too far from Fedora these days. Leaving this bug and this package.

Comment 10 Fedora Update System 2020-01-30 23:43:11 UTC
python-rope-0.16.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.